Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.nds.naming
Class NdsNameParser

    java.lang.Object
      |
      +--com.novell.service.nds.naming.NdsNameParser

public class NdsNameParser
extends java.lang.Object
implements javax.naming.NameParser

Parses strings to names using the right-to-left dot-separated NDS naming convention.

The NDS name parser keeps track of an optional tree name. Two NDS name parsers are defined to be equal if and only if they service the same tree. An NDS name parser is defined to be not equal to any other name parser if the no-arg constructor is used. But it will still parse names correctly.

Field Summary
`protected static` | `syntax`

Constructor Summary
`NdsNameParser()` Constructs an NdsNamePrser object with no parameters.
`NdsNameParser(java.lang.String treeName)` Constructs an NdsNamePrser object with a treeName parameter.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Determines if the current tree name is equal to the parsed tree name.
`javax.naming.Name` | `parse(java.lang.String name)` Returns the Name parsed from the input name String.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### syntax

    protected static  syntax

Constructor Detail

### NdsNameParser

    public NdsNameParser()

  Constructs an NdsNamePrser object with no parameters.

### NdsNameParser

    public NdsNameParser(java.lang.String treeName)

  Constructs an NdsNamePrser object with a treeName parameter.
  Parameters:
    `treeName` - The tree name to be parsed input as a String.

Method Detail

### parse

    public javax.naming.Name parse(java.lang.String name)
                            throws javax.naming.NamingException

  Returns the Name parsed from the input name String.
  Specified by:
    parse in interface javax.naming.NameParser
  Parameters:
    `name` - The name to be parsed input as a String.
  Returns:
    The parsed Name object.
  Throws:
    javax.naming.NamingException - When a naming error occurs.

### equals

    public boolean equals(java.lang.Object obj)

  Determines if the current tree name is equal to the parsed tree name.
  Parameters:
    `obj` - The object containing the parsed tree name.
  Returns:
    A boolean set to TRUE if the two tree names are equal; otherwise returns FALSE.
  Overrides:
    equals in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD